Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.echocomp
Class DelayedComponent

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Column
              ch.uzh.ifi.attempto.echocomp.DelayedComponent

All Implemented Interfaces:
  java.io.Serializable, nextapp.echo2.app.RenderIdSupport

    public abstract class DelayedComponent

extends nextapp.echo2.app.Column

This abstract class can be used to create components that are initialized asynchronously in the background. This is makes sense for components that require some time to create themselves (e.g. because of time expensive calculations).

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Column
`PROPERTY_BORDER, PROPERTY_CELL_SPACING, PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`DelayedComponent()` Creates a new delayed component with no temporary component.
`DelayedComponent(nextapp.echo2.app.Component tempComponent)` Creates a new delayed component which shows the temporary component until the real component is ready.

Method Summary
`abstract nextapp.echo2.app.Component` | `initComponent()` This method should contain the (possibly time-consuming) operations to create the actual GUI component.

Methods inherited from class nextapp.echo2.app.Column
`getBorder, getCellSpacing, getInsets, setBorder, setCellSpacing, setInsets`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelayedComponent

    public DelayedComponent(nextapp.echo2.app.Component tempComponent)

  Creates a new delayed component which shows the temporary component until the real component is ready.

  Parameters:
    `tempComponent` - The temporary component.

### DelayedComponent

    public DelayedComponent()

  Creates a new delayed component with no temporary component.

Method Detail

### initComponent

    public abstract nextapp.echo2.app.Component initComponent()

  This method should contain the (possibly time-consuming) operations to create the actual GUI component. This operation will be performed asynchronously. As soon as it is finished, the temporary component (if present) is replaced by the component this method returns.

  Returns:
    The GUI component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)